com.hazelcast.config

## Class ClassFilter

- java.lang.Object
- - com.hazelcast.config.ClassFilter

-     public class ClassFilter
      extends Object

  Holds blacklist and whitelist configuration in java deserialization configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassFilter()`
    `ClassFilter(ClassFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassFilter` | `addClasses(String... names)`
    `ClassFilter` | `addPackages(String... names)`
    `ClassFilter` | `addPrefixes(String... names)`
    `boolean` | `equals(Object obj)`
    `Set<String>` | `getClasses()` Returns unmodifiable set of class names.
    `Set<String>` | `getPackages()` Returns unmodifiable set of package names.
    `Set<String>` | `getPrefixes()` Returns unmodifiable set of class name prefixes.
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `boolean` | `isListed(String className)`
    `ClassFilter` | `setClasses(Collection<String> names)`
    `ClassFilter` | `setPackages(Collection<String> names)`
    `ClassFilter` | `setPrefixes(Collection<String> names)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassFilter

          public ClassFilter()

    - #### ClassFilter

          public ClassFilter(ClassFilter filter)

  - ### Method Detail

    - #### getClasses

          public Set<String> getClasses()

      Returns unmodifiable set of class names.

    - #### getPackages

          public Set<String> getPackages()

      Returns unmodifiable set of package names.

    - #### getPrefixes

          public Set<String> getPrefixes()

      Returns unmodifiable set of class name prefixes.

    - #### addClasses

          public ClassFilter addClasses(String... names)

    - #### setClasses

          public ClassFilter setClasses(Collection<String> names)

    - #### addPackages

          public ClassFilter addPackages(String... names)

    - #### setPackages

          public ClassFilter setPackages(Collection<String> names)

    - #### addPrefixes

          public ClassFilter addPrefixes(String... names)

    - #### setPrefixes

          public ClassFilter setPrefixes(Collection<String> names)

    - #### isEmpty

          public boolean isEmpty()

    - #### isListed

          public boolean isListed(String className)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.